%global pkgvers 1
%global scdate0 20200806
%global schash0 272fc6f9125a468b0881f3a059458721ee699e4b
%global branch0 master
%global source0 https://github.com/xaxaxa-dev/vna.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           xavna
Version:        0.1.5
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        XaXaXa vector network analyzer
License:        Apache

URL:            https://github.com/xaxaxa-dev/vna

Patch0:         xavna-gcc.patch

BuildRequires:  gcc-c++ cmake git fftw-devel eigen3-devel
BuildRequires:  qt5-qtbase-devel qt5-qtcharts-devel

%define __cmake_in_source_build 1

%description
A simple and cheap vector network analyzer,
including support software.


%package devel
Summary: Development library
Requires: %{name} = %{version}-%{release}

%description devel
Development library


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller
%patch0 -p1 -b .gcc~


%build
sed -i '/find_package(FFTW3 REQUIRED)/d' CMakeLists.txt
mkdir -p build
pushd build
%cmake .. -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DFFTW3_FOUND=TRUE \
       -DFFTW3_INCLUDE_DIRS="%{includedir}" \
       -DFFTW3_LIBRARIES=fftw3
%make_build
popd


%install
rm -rf %{buildroot}
pushd build
%make_install
popd



%files
%doc README.md
%doc pcb pictures
%doc vhdl enclosure
%doc vhdl_twoport
%license LICENSE
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%{_prefix}/%{_lib}/*.so


%changelog
* Fri Dec 07 2018 Balint Cristian <cristian.balint@gmail.com>
- github update releases
